# Xapian::InvalidArgumentError Class Reference

InvalidArgumentError indicates an invalid parameter value was passed to the API. More...

Inheritance diagram for Xapian::InvalidArgumentError:

[legend]

List of all members.

## Public Member Functions

| InvalidArgumentError (const std::string &msg_, const std::string &context_=std::string(), int errno_=0)
| General purpose constructor which allows setting errno.
| InvalidArgumentError (const std::string &msg_, int errno_)
| Construct from message and errno value.

## Detailed Description

InvalidArgumentError indicates an invalid parameter value was passed to the API.

## Constructor & Destructor Documentation

Xapian::InvalidArgumentError::InvalidArgumentError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `std::string()`,
|  | int | errno_ = `0` |
| ) |  |  | `[inline, explicit]`

General purpose constructor which allows setting errno.

Xapian::InvalidArgumentError::InvalidArgumentError | ( | const std::string & | msg_,
|  | int | errno_ |
| ) |  |  | `[inline]`

Construct from message and errno value.

The documentation for this class was generated from the following file:

- xapian/error.h